/* Disclaimers */
#tab-title-disclaimers {
    display: none !important;
}

.ac-disclaimer-container {
    width: 100%;
    margin-top: 40px;
    border-radius: 8px;
    overflow: hidden;

    .ac-disclaimer-head {
        height: 69px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
        padding: 10px 8px 10px 16px;
        background: #303030;
        cursor: pointer;
        color: #fff;
        font-family: "Bebas Neue";
        font-size: 24px !important;
        font-weight: 400;
        line-height: 120%;

        button {
            all: unset;
            display: flex;
            align-items: center;
            width: fit-content;
        }
        .minus {
            display: none;
        }
    }

    .ac-disclaimer-body {
        display: none;
        background: #fff;
        padding: 10px;

        p {
            color: #0a0a0a !important;
            font-family: Roboto, sans-serif;
            font-size: 16px;
            font-weight: 400;
            line-height: 140%;

            strong {
                margin-bottom: -16px;
                display: block;
            }
        }
    }

    &.active {
        .ac-disclaimer-head {
            .minus {
                display: block;
            }

            .plus {
                display: none;
            }
        }

        .ac-disclaimer-body {
            display: block;
        }
    }
}

/* Description Tab */
#tab-description.active {
    padding-top: 56px !important;
    width: 100%;
    max-width: 100%;

    @media screen and (max-width: 849px) {
        padding-top: 2px !important;
    }

    .ac-description-alert {
        padding: 16px;
        display: flex;
        align-items: center;
        gap: 10px;
        border-radius: 8px;
        background: #e4e4e4;

        > svg {
            min-width: 24px;

            @media screen and (max-width: 849px) {
                display: none;
            }
        }

        .ac-description-alert-content {
            color: #474747;
            font-family: Roboto, sans-serif;
            font-size: 14px;
            font-style: normal;
            font-weight: 400;
            line-height: 140%;

            p {
                margin-bottom: 0;
            }
        }
    }

    .ac-description-box {
        display: flex;
        padding: 40px 64px;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 24px;
        border-radius: 8px;
        background: #fff;
        margin: 24px 0 0;

        @media screen and (max-width: 849px) {
            padding: 40px 16px;
        }

        .ac-description-box-top {
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
            gap: 24px;

            @media screen and (max-width: 849px) {
                flex-direction: column-reverse;
                align-items: start;
            }

            .ac-description-box-title {
                color: #f58732;
                font-family: "Bebas Neue";
                font-size: 30px !important;
                font-style: normal;
                font-weight: 400;
                line-height: 120%;
                margin: 0;

                @media screen and (max-width: 849px) {
                    br {
                        display: none;
                    }
                }
            }

            .ac-description-box-image {
                width: 216px;
                min-width: 216px;
            }
        }

        .ac-description-box-content {
            color: #0a0a0a;
            font-family: Roboto, sans-serif;
            font-size: 16px;
            font-style: normal;
            font-weight: 400;
            line-height: 140%;

            p {
                margin-bottom: 8px;
            }

            ul {
                margin-bottom: 0;
                padding-left: 24px;

                li {
                    margin-left: 0;
                }
            }
        }
    }
}

/* Inclusions Tab */
#tab-acf_product_content.active {
    background: #f6f6f6;
    padding-top: 56px !important;

    @media screen and (max-width: 849px) {
        padding-top: 40px !important;
        padding-left: 16px !important;
        padding-right: 16px !important;
    }

    .ac-grid {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        gap: 24px;

        @media screen and (max-width: 849px) {
            gap: 0;
            flex-direction: column;
        }

        .ac-value {
            flex: 0 0 237px;
            width: 100%;
            border-radius: 8px;
            background: #f58732;
            display: flex;
            flex-direction: column;
            padding: 24px 24px 24px;

            @media screen and (max-width: 849px) {
                flex: unset;
                padding: 24px 16px 20px 0;
                flex-direction: row;
                align-items: center;
                gap: 8px;
                border-bottom-right-radius: 0;
                border-bottom-left-radius: 0;
            }

            .ac-value-title {
                color: #fff;
                font-family: "Bebas Neue";
                font-size: 30px;
                font-weight: 400;
                line-height: 100%;
                padding: 7px 24px 4px;
                min-width: max-content;
                max-width: fit-content;
                border-radius: 0 4px 4px 0;
                background: #0a0a0a;
                margin: 0 0 20px -39px;
                position: relative;

                @media screen and (max-width: 849px) {
                    margin: 0 0 0 -10px;
                    height: fit-content;
                    padding: 7px 14px 4px;
                    font-size: 24px;
                }

                &::after {
                    content: "";
                    width: 15.5px;
                    height: 15.5px;
                    position: absolute;
                    left: 0;
                    top: 100%;
                    background: url('data:image/svg+xml,<svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M15.5 15.5L0 0H15.5V15.5Z" fill="%23474747"/></svg>')
                        center/cover no-repeat;

                    @media screen and (max-width: 849px) {
                        width: 10px;
                        height: 10px;
                    }
                }
            }

            .ac-value-amount {
                color: #000;
                text-align: center;
                font-family: "Bebas Neue";
                font-size: 64px;
                font-style: normal;
                font-weight: 400;
                line-height: 120%;
                margin: 0;

                @media screen and (max-width: 849px) {
                    font-size: 40px;
                    text-align: left;
                }
            }

            .ac-value-description {
                color: #000;
                text-align: center;
                font-family: "Bebas Neue";
                font-size: 24px;
                font-style: normal;
                font-weight: 400;
                line-height: 120%;
                margin: 0;

                @media screen and (max-width: 849px) {
                    text-align: left;
                }
            }
        }

        .ac-highlighted-inclusions {
            flex: 0 0 calc(100% - 24px - 237px);

            @media screen and (max-width: 849px) {
                padding-top: 8px !important;
            }

            .ac-highlighted-inclusion:first-of-type {
                min-width: 55%;
            }
        }

        .ac-highlighted-inclusions,
        .ac-features {
            width: 100%;
            display: flex;
            padding: 24px;
            border-radius: 8px;
            background: #fff;
            align-items: flex-start;
            gap: 16px;

            @media screen and (max-width: 849px) {
                border-radius: 0;
                flex-direction: column;
                padding: 0 16px;
                gap: 0;
            }
        }

        .ac-features {
            flex: 1 1 100%;

            .ac-highlighted-inclusion {
                .ac-highlighted-inclusion-title {
                    max-width: 122px;

                    @media screen and (max-width: 849px) {
                        max-width: unset;
                    }
                }
            }

            @media screen and (max-width: 849px) {
                border-radius: 0 0 8px 8px;
            }
        }

        @media screen and (max-width: 849px) {
            .ac-features .ac-highlighted-inclusion:first-of-type {
                border-top: 1px solid #e4e4e4;
            }
        }

        .ac-highlighted-inclusion {
            flex: 1 1 100%;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
            height: 100%;

            @media screen and (max-width: 849px) {
                padding: 16px 0;
                width: 100%;
                flex-direction: row;
                flex-wrap: wrap;
                gap: 8px;
                align-items: center;

                &:not(:first-of-type) {
                    border-top: 1px solid #e4e4e4;
                }
            }

            @media screen and (min-width: 850px) {
                &:not(:first-of-type) {
                    padding-left: 16px;
                    border-left: 1px solid #e4e4e4;
                }
            }

            .ac-highlighted-inclusion-icon-container {
                width: 40px;
                height: 40px;
                display: flex;
                align-items: center;
                justify-content: center;

                @media screen and (max-width: 849px) {
                    width: 32px;
                    height: 32px;
                    padding: 4px;
                }

                .ac-highlighted-inclusion-icon {
                    max-height: 40px;
                    max-width: 40px;

                    @media screen and (max-width: 849px) {
                        max-height: 28px;
                        max-width: 32px;
                        width: 100%;
                        object-fit: contain;
                    }
                }
            }

            .ac-highlighted-inclusion-title {
                margin: 16px 0 0;
                color: #000;
                font-family: Roboto, sans-serif;
                font-size: 16px;
                font-style: normal;
                font-weight: 600;
                line-height: 140%;

                @media screen and (max-width: 849px) {
                    width: calc(100% - 40px);
                    margin: 0;
                }
            }

            .ac-highlighted-inclusion-content {
                margin-top: 16px;
                color: #474747;
                font-family: Roboto, sans-serif;
                font-size: 16px;
                font-weight: 400;
                line-height: 140%;

                @media screen and (max-width: 849px) {
                    margin: 0;
                }

                ul {
                    list-style: none;
                    display: flex;
                    flex-direction: column;
                    gap: 8px;
                    margin-bottom: 0 !important;

                    @media screen and (max-width: 849px) {
                        margin: 0;
                    }

                    li {
                        padding-left: 24px;
                        position: relative;
                        margin-bottom: 0;
                        margin-left: 0;

                        &::after {
                            content: "";
                            width: 16px;
                            height: 16px;
                            background: url('data:image/svg+xml,<svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M14.573 3.59467C14.8583 4.33067 14.459 4.83467 13.6863 5.332C13.063 5.732 12.269 6.16667 11.4277 6.90867C10.6023 7.636 9.79767 8.51267 9.08234 9.37534C8.47032 10.1159 7.88765 10.8803 7.33567 11.6667C7.05967 12.0607 6.67367 12.6487 6.67367 12.6487C6.53516 12.8627 6.34439 13.0378 6.11938 13.1576C5.89437 13.2774 5.64254 13.3379 5.38767 13.3333C5.13295 13.3318 4.88284 13.2652 4.66113 13.1398C4.43942 13.0143 4.25349 12.8342 4.12101 12.6167C3.45501 11.4987 2.94167 11.0567 2.70567 10.8987C2.07434 10.4733 1.33301 10.412 1.33301 9.42267C1.33301 8.63667 1.99634 8 2.81434 8C3.39234 8.02134 3.92901 8.24867 4.40501 8.56867C4.70901 8.77267 5.03101 9.04334 5.36567 9.39867C5.81418 8.78663 6.2806 8.18793 6.76434 7.60334C7.53567 6.67334 8.44634 5.67534 9.42301 4.814C10.383 3.96734 11.493 3.17467 12.6697 2.756C13.4363 2.48267 14.2883 2.858 14.573 3.59467Z" fill="%23F58732"/></svg>')
                                center/cover no-repeat;
                            position: absolute;
                            left: 0;
                            top: 50%;
                            transform: translateY(-50%);
                        }
                    }
                }
            }
        }
    }

    .ac-included-title {
        margin: 40px 0 32px;
        color: #000;
        font-family: "Bebas Neue";
        font-size: 30px;
        font-weight: 400;
        line-height: 120%;

        @media screen and (max-width: 849px) {
            margin-top: 32px;
        }
    }

    .ac-inclusions-list {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 60px;

        @media screen and (max-width: 849px) {
            grid-template-columns: 1fr;
            gap: 24px;
        }

        .ac-inclusions-column {
            display: flex;
            flex-direction: column;

            @media screen and (max-width: 849px) {
                &:last-of-type {
                    padding-top: 24px;
                    border-top: 1px solid #e4e4e4;
                }
            }
        }

        .ac-inclusions-group {
            &:not(:last-of-type) {
                padding-bottom: 24px;
                margin-bottom: 24px;
                border-bottom: 1px solid #e4e4e4;
            }

            .ac-inclusions-group-title {
                margin: 0 0 24px;
                color: #474747;
                font-family: "Bebas Neue";
                font-size: 20px;
                font-weight: 400;
                line-height: 120%;
            }

            .ac-inclusions-group-list {
                display: flex;
                flex-direction: column;
                gap: 16px;

                .ac-inclusion-item {
                    display: flex;
                    align-items: center;
                    gap: 8px;
                    color: #474747;
                    font-family: Roboto, sans-serif;
                    font-size: 16px;
                    font-weight: 400;
                    line-height: 140%;
                }
            }
        }
    }

    .ac-ctas {
        display: flex;
        align-items: center;
        margin: 40px 0;
        gap: 8px;
        max-width: 486px;

        @media screen and (max-width: 849px) {
            flex-direction: column;
            gap: 16px;
        }

        > div {
            flex: 1 1 100%;

            @media screen and (max-width: 849px) {
                width: 100%;
                flex: unset;

                * {
                    width: 100% !important;
                }
            }
        }

        .button.product-button {
            height: 40px;
            padding: 10px 24px;
            justify-content: center;
            align-items: center;
            gap: 8px;
            align-self: stretch;
            border-radius: 8px;
            border: 1px solid #0a0a0a;
            background-color: #fff;
            margin: 0;
            display: inline-block;
            line-height: 1;
            vertical-align: middle;
            max-height: 40px;
            min-height: 40px;

            &:after {
                content: none;
            }

            span {
                color: #0a0a0a !important;
                font-family: "Bebas Neue", sans-serif !important;
                font-size: 20px;
                font-style: normal;
                font-weight: 400;
                letter-spacing: 0;
                display: inline-block;
                line-height: 1;
                vertical-align: middle;
            }
        }

        .button.finance {
            background-color: #f58732 !important;
            border-color: #f58732;
        }
    }
}

/* Add Space Above Related Products */
.related.related-products-wrapper {
    padding-top: 80px;

    @media screen and (max-width: 849px) {
        padding-top: 56px;
    }
}

/* General Tabs */
.woocommerce-tabs[data-active-tab="acf_product_content"],
.woocommerce-tabs[data-active-tab="description"],
.woocommerce-tabs[data-active-tab="specifications"] {
    background: #f6f6f6;
    max-width: 100%;
    width: 100%;

    > .tab-panels {
        background: transparent;
        max-width: 1050px;
        margin: 0 auto;
        padding-left: 0;
        padding-right: 0;

        /* @media screen and (max-width: 849px) {
            padding-bottom: 56px !important;
        } */
    }
}

@media screen and (max-width: 849px) {
    .woocommerce-tabs[data-active-tab="description"] > .tab-panels {
        padding-top: 32px !important;
    }

    #tab-description,
    #tab-specifications {
        padding-left: 16px !important;
        padding-right: 16px !important;
    }

    .woocommerce-tabs {
        .ac-container {
            padding-left: 0 !important;
            padding-right: 0 !important;
        }
    }
}

.ac-container {
    max-width: 1052px;
    width: 100%;
    padding: 0 16px;
    margin: 0 auto;

    @media screen and (max-width: 849px) {
        max-width: 500px;
    }

    .ac-title {
        color: #000;
        text-align: center;
        font-family: "Bebas Neue";
        font-size: 40px;
        font-weight: 400;
        line-height: 120%;
        margin: 0 0 40px;
    }
}

/* Specifications Tab */
#tab-specifications.active {
    padding-top: 56px !important;
}

#tab-specifications {
    padding-top: 26px;

    @media screen and (max-width: 849px) {
        padding-top: 10px;
    }

    @media screen and (min-width: 850px) {
        .ac-title {
            text-align: left;
        }
    }

    .ac-specifications-top-grid {
        display: flex;
        gap: 16px;

        @media screen and (max-width: 849px) {
            flex-wrap: wrap;
        }

        .ac-specifications-box {
            flex: 1 1 100%;
            padding: 24px 16px;
            border-radius: 8px;
            background: #fff;
            display: flex;
            align-items: center;
            gap: 8px;

            @media screen and (max-width: 849px) {
                max-width: 100% !important;
                padding: 8px 12px;

                .ac-specifications-box-content {
                    display: flex;
                    align-items: center;
                    flex: 1 1 100%;
                }
            }

            &:nth-child(1) {
                max-width: 183px;
            }

            /* &:nth-child(3) {
                max-width: 237px;
            } */

            .ac-specifications-box-icon {
                width: 40px;
                height: 40px;
                min-width: 40px;

                @media screen and (max-width: 849px) {
                    min-width: 32px;
                    width: 32px;
                    height: 32px;

                    svg {
                        width: 100%;
                        height: 100%;
                    }
                }
            }

            .ac-specifications-box-title {
                color: #767676;
                font-family: "Bebas Neue";
                font-size: 16px;
                font-weight: 400;
                line-height: 120%;
                letter-spacing: initial !important;
                margin: 0 0 2px;

                @media screen and (max-width: 849px) {
                    max-width: 102px;
                    min-width: 102px;
                    margin: 0 0 -2px;
                }
            }

            .ac-specifications-box-content .ac-specifications-box-content {
                color: #0a0a0a;
                font-family: Roboto, sans-serif;
                font-size: 16px;
                font-style: normal;
                font-weight: 400;
                line-height: 140%;
                margin: 0;

                @media screen and (max-width: 849px) {
                    padding: 6px 0 6px 16px;
                    border-left: 1px solid #e4e4e4;
                }
            }
        }
    }

    .ac-specifications-types {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        gap: 24px;
        margin: 40px 0 16px;

        @media screen and (max-width: 849px) {
            justify-content: flex-start;
            gap: 16px;
        }

        .ac-specification-type {
            display: flex;
            align-items: center;
            gap: 8px;
            color: #0a0a0a;
            font-family: Roboto, sans-serif;
            font-size: 16px;
            font-weight: 400;
            line-height: 140%;

            @media screen and (max-width: 849px) {
                font-size: 14px;
            }
        }
    }

    .ac-specifications-grid {
        display: flex;
        gap: 24px;
    }

    .ac-specifications-download-brochure {
        display: none;

        @media screen and (max-width: 849px) {
            display: block;
            margin: 32px 0 0;
        }

        a {
            height: 40px;
            padding: 10px 24px;
            justify-content: center;
            align-items: center;
            gap: 8px;
            align-self: stretch;
            border-radius: 8px;
            border: 1px solid #0a0a0a;
            background-color: transparent;
            margin: 0;
            display: inline-block;
            line-height: 1;
            vertical-align: middle;
            max-height: 40px;
            min-height: 40px;

            &:after {
                content: none;
            }

            span {
                color: #0a0a0a !important;
                font-family: "Bebas Neue", sans-serif !important;
                font-size: 20px;
                font-style: normal;
                font-weight: 400;
                letter-spacing: 0;
                display: inline-block;
                line-height: 1;
                vertical-align: middle;
            }
        }
    }

    .ac-specifications-tabs {
        width: 237px;
        min-width: 237px;
        display: flex;
        flex-direction: column;
        gap: 8px;

        @media screen and (max-width: 849px) {
            display: none;
        }

        .ac-specifications-tab {
            border-radius: 8px;
            background: transparent;
            color: #474747;
            font-family: "Bebas Neue";
            font-size: 24px;
            font-weight: 400;
            line-height: 100%;
            display: flex !important;
            align-items: center;
            gap: 10px;
            width: 100%;
            height: 48px;
            padding: 4px 10px 0;
            transition: 0.3s ease;

            > svg {
                transition: 0.3s ease;
                margin-left: 0;
                margin-top: -4px;
            }

            &:not(.active):hover {
                background: #e4e4e4;
                cursor: pointer;
            }

            &.active {
                background: #303030;
                color: #fff;

                > svg {
                    margin-left: auto;

                    path {
                        stroke: #f58732;
                    }
                }
            }
        }
    }

    .ac-specifications-tabs-container {
        flex: 1 1 100%;

        @media screen and (max-width: 849px) {
            display: flex;
            flex-direction: column;
            gap: 16px;
        }

        .ac-specifications-tab-content {
            border-radius: 8px;
            border: 1px solid #e4e4e4;
            background: #fff;

            .ac-specifications-tab-content-toggle {
                all: unset;
                display: none;
                align-items: center;

                @media screen and (max-width: 849px) {
                    display: flex;

                    .minus {
                        display: none;
                    }
                }
            }

            &:not(.active) {
                display: none;

                @media screen and (max-width: 849px) {
                    .ac-specifications-tab-content-rows {
                        display: none;
                    }
                    .ac-specifications-tab-content-header {
                        border-bottom: none;
                    }
                }
            }

            &.active {
                display: block !important;

                @media screen and (max-width: 849px) {
                    .ac-specifications-tab-content-toggle {
                        .minus {
                            display: block;
                        }

                        .plus {
                            display: none;
                        }
                    }
                }
            }

            @media screen and (max-width: 849px) {
                display: block !important;
                overflow: hidden;
            }

            .ac-specifications-tab-content-header {
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 24px 16px;
                border-bottom: 2px solid #f58732;

                @media screen and (max-width: 849px) {
                    background: #303030;
                    padding: 0 8px 0 16px;
                    height: 69px;
                }
            }

            .ac-specifications-tab-content-title {
                color: #0a0a0a;
                font-family: "Bebas Neue";
                font-size: 30px !important;
                font-weight: 400;
                line-height: 100%;
                margin: 0;

                @media screen and (max-width: 849px) {
                    color: #fff;
                    font-size: 24px !important;
                }
            }

            .ac-specifications-tab-content-rows {
                display: flex;
                flex-direction: column;
                width: 100%;
            }

            .ac-specifications-tab-content-row {
                width: 100%;
                display: flex;
                align-items: center;
                background: #fff;

                &:last-of-type {
                    border-radius: 0 0 8px 8px;
                }

                @media screen and (max-width: 849px) {
                    flex-wrap: wrap;
                }

                &:nth-child(2n + 2) {
                    background: #f6f6f6;
                }
            }

            .ac-specifications-tab-content-row-title {
                width: 174px;
                min-width: 174px;
                color: #0a0a0a;
                font-family: Roboto, sans-serif;
                font-size: 16px;
                font-weight: 600;
                line-height: 140%;
                padding: 10px 0 10px 24px;

                @media screen and (max-width: 849px) {
                    flex: 1 1 100%;
                    width: 100%;
                    padding: 16px 16px 0;
                }
            }

            .ac-specifications-tab-content-row-description {
                flex: 1 1 100%;
                padding: 16px 24px;
                color: #474747;
                font-family: Roboto, sans-serif;
                font-size: 16px;
                font-weight: 400;
                line-height: 140%;

                @media screen and (max-width: 849px) {
                    max-width: calc(100% - 56px);
                    padding: 8px 0 16px 16px;
                }

                p {
                    margin-bottom: 0;
                }

                &.ac-colours {
                    display: flex;
                    align-items: center;
                    gap: 24px;
                    flex-wrap: wrap;
                }
            }

            .ac-specifications-tab-content-row-colour {
                display: flex;
                align-items: center;
                gap: 8px;

                .ac-specifications-tab-content-row-colour-circle {
                    width: 31px;
                    height: 31px;
                    border: 1px solid #b5b5b5;
                    border-radius: 50px;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    > div {
                        border-radius: 50px;
                        width: 27px;
                        height: 27px;
                        border: 1px solid white;
                    }
                }
            }

            .ac-specifications-tab-content-row-icon {
                display: flex;
                align-items: center;
                justify-content: center;
                min-width: 100px;
                width: 100px;

                @media screen and (max-width: 849px) {
                    width: 56px;
                    min-width: 56px;
                }
            }
        }
    }
}

.ac-old-specs-container .section {
    background: transparent !important;
    border: none !important;
}

.ac-old-specs-container .section .section-bg {
    display: none !important;
}
